Ticket #14415

xdocviewの追加
Open Date: 2008-12-26 16:43 Last Update: 2009-02-15 08:29

Reporter:
Owner:
(None)
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

リポジトリブラウザでWord/Excelの文字情報を確認できるxdocviewプラグイン を追加して欲しい。

Ticket History (3/5 Histories)

2008-12-26 16:43 Updated by: kanu
  • New Ticket "xdocviewの追加" created
2008-12-27 11:56 Updated by: okamototk
Comment

xdocviewで必要とされるdoc2txtが商用での利用を禁止しているため、このままTrac Lightningに含めてしまうと、Trac Lightning自身が商用案件で利用できなくなってしまいます。

なんとかならないかdoc2txtの開発者の方に話をしてみますので、しばしお待ちください。

2008-12-27 15:41 Updated by: kanu
Comment

私も気になったので投稿前に確認して大丈夫だと思ったんですが・・・

商用ライセンスにあたるのは『商用製品に組み込んで再配布する場合』なので、

Trac Lightningの商用案件での利用は問題ないと思うのですが・・・




2.0.9のリポジトリ検索プラグインが全角を検索できないので、

代わりにSearchHyperEstraierPluginに入れ替えて

そこで利用するHyper Estraierのxdoc2txtを使うのはどうですか?

Hyper Estraierに含まれるxdoc2txtを使う形であれば商用ライセンスを回避できます。

個人的にはSearchHyperEstraierPluginを使っているので、

Trac LightningにSearchHyperEstraierPluginも含まれると嬉しいところではあります。

2008-12-27 16:16 Updated by: okamototk
Comment

了解。

取り敢えず問い合わせはしているので、連絡は待ちます。

2009-02-15 08:29 Updated by: okamototk
  • Milestone Update from (None) to 2.1 (closed)
  • Ticket Close date is changed to 2009-02-15 08:29
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login